import numpy as np

# This function makes a new coordinate system according to the new center molecule
def coordinates(readfile, writefile):
    f = open(readfile, 'r')
    f2 = open(writefile, 'w')
    for line in f:
        neighbours=np.array(eval(line),float)
        neighbours=neighbours.tolist()
        if len(neighbours)!=1:
            center = neighbours.pop(0)
            centerX=center[1]
            centerY=center[2]
            centerZ=center[3]
            newCords=[]
            centerMol = [int(center[0]),0.0, 0.0, 0.0]
            newCords.append(centerMol)
            for molecule in neighbours:
                newX=molecule[1]-centerX
                newY=molecule[2]-centerY
                newZ=molecule[3]-centerZ
                newMol = [int(molecule[0]), round(newX,6), round(newY,6), round(newZ,6)]
                newCords.append(newMol)
            f2.write(str(newCords)+'\n')
    f.close()
    f2.close()

#coordinates("final/exTwo/frame_1_neighbours.txt", "final/exTwo/frame_1_neighbours_new_coordinates.txt")

#initiates the entire script
def run (path):
    for i in range (1,102):
        readfile = path + '/water_neighbours_' + str(i) + '.txt'
        writefile = path + '/water_neighbours_' + str(i) + '_new_coordinates.txt'
        coordinates(readfile, writefile)
        print(i)

path1 = "finalThree/method3.2"

run(path1)

#coordinates('finalTwo/growth/dataframe_2_test.txt' , 'finalTwo/growth/dataframe_2_testcord.txt')