#imports
import numpy as np

#This function calculates the average distance from a neighbour to the center atom for
# an intermediate structure. It also calculates the average angulare displacement for
# an intermediates structure.
#The variabel path contains information about where the folder conatining the files
#that should be analyzed are contained.
def analyse(path):
    writefile = path + 'intermediates_method_3_avg_dist_and_angle_all.txt'
    writefile2 = path + 'intermediates_method_3_avg_dist_and_angle_c_3.txt'
    writefile3 = path + 'intermediates_method_3_avg_dist_and_angle_c_4.txt'
    writefile4 = path + 'intermediates_method_3_avg_dist_and_angle_c_5.txt'
    with open(writefile,'w') as f, open(writefile2,'w') as f2, open(writefile3,'w') as f3, open(writefile4,'w') as f4:
        for i in range(1,100):
            readfile='finalThree/method3.2/angle'+str(i)+'_'+str(i+1)+'.txt'
            with open(readfile,'r') as f5:
                for line in f5:
                    total_distance=0
                    total_angle=0
                    molecules=np.array(eval(line),float)
                    molecules=molecules.tolist()
                    if len(molecules)>2:
                        center=molecules.pop()
                        ids=[int(center[0])]
                        for atom in molecules:
                            ids.append(int(atom[0]))
                            total_distance+=atom[7]
                            total_angle+=atom[9]
                        average_disance=round(total_distance/(len(ids)-1),4)
                        average_angle=round(total_angle/(len(ids)-1),4)
                        info=[len(ids),ids,average_disance,average_angle,i]
                        f.write(str(info)+'\n')
                        if len(ids)==3:
                            f2.write(str(info)+'\n')
                        if len(ids)==4:
                            f3.write(str(info)+'\n')
                        if len(ids)==5:
                            f4.write(str(info)+'\n')

analyse('finalThree/method3.2/')
                        

