# This .py file splits the original LAMMPS trajectory text files into seperate files containing only one frame
# It also gets rid of alle the molecules that does'nt fulfill the boundary condition

#This function splits the MD-simulation file into frames.
def frameSplitter(readfile,path):
    framenumber = 0
    f = open(readfile, "r")
    f2 = open(path+"/frame_"+str(framenumber)+".txt", "w")
    for line in f:
        #Closes the writing file and opens a new one to write te next frame on. 
        if (line.strip('\n') == "ITEM: TIMESTEP"):
            f2.close()
            framenumber+=1
            f2 = open(path+"/frame_"+str(framenumber)+".txt", "w")
            f2.write(line)
        #Writes the lines to the file
        else:
           f2.write(line)
    f2.close()
    f.close()

def dataExtractor(path):
    #Goes through evry single frame
    for i in range(102):
        frame = path+"/frame_"+str(i)+".txt"
        f = open(frame, "r")
        f2 = open(path+"/temp", "w")
        atoms=0
        for j in range(9):
            line = f.readline()
            f2.write(line)
        for line in f:
                values=line.split()
                #Discards all molecules thats not within the boundary conditions
                if (float(values[3])>4.5 and float(values[3])<32 and float(values[4])>7 and float(values[4])<30):
                    f2.write(line)
                    atoms+=1
        f.close()
        f2.close()
        f = open(frame, "w")
        f2 = open(path+"/temp", "r")
        #writes the atoms to a new file
        for k in range(3):
            line = f2.readline()
            f.write(line)
        f2.readline()
        f.write(str(atoms)+"\n")
        for line in f2:
            if line.strip("/n")!="":
                f.write(line)
        f.close()
        f2.close()
            
#The run function initializes the framSplitter function and dataExtractor function          
def run (file, path):
    frameSplitter(file,path)
    dataExtractor(path)          

#Path to the folder where the file is saved
path = "finalThree/growth" 
#MD-simulation file             
file = "finalThree/Ice-Amorphous-Hydrate-growth-500ps_230K.lammpstrj.txt"

#Remember to change the path, and file variable if you have saved the files elsewhere, or the file has
# a different name 

#The function that runs the entire script
run (file, path)